public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Nicolas Bock" <nicolasbock@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/boxes/
Date: Sat, 18 Jun 2016 04:50:02 +0000 (UTC)	[thread overview]
Message-ID: <1466225385.e7f0867293e8e6ffb5368b7c0974adb779e1614f.nicolasbock@gentoo> (raw)

commit:     e7f0867293e8e6ffb5368b7c0974adb779e1614f
Author:     Nicolas Bock <nicolasbock <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 18 04:49:45 2016 +0000
Commit:     Nicolas Bock <nicolasbock <AT> gentoo <DOT> org>
CommitDate: Sat Jun 18 04:49:45 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7f08672

app-misc/boxes: Fix for Bug 586130

Thanks to Andreas Proteus <proteuss <AT> sdf.lonestar.org> for the fix.

Package-Manager: portage-2.2.28

 app-misc/boxes/boxes-1.1.2-r2.ebuild | 41 ++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/app-misc/boxes/boxes-1.1.2-r2.ebuild b/app-misc/boxes/boxes-1.1.2-r2.ebuild
new file mode 100644
index 0000000..7a8910e
--- /dev/null
+++ b/app-misc/boxes/boxes-1.1.2-r2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Draw any kind of boxes around your text"
+HOMEPAGE="http://boxes.thomasjensen.com/ https://github.com/ascii-boxes/boxes"
+SRC_URI="https://github.com/ascii-boxes/boxes/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="
+	sys-devel/bison
+	sys-devel/flex
+	"
+
+src_prepare() {
+	append-cflags -Iregexp -I. -ansi -std=c99
+	append-ldflags -Lregexp
+	sed \
+		-e 's:STRIP=true:STRIP=false:g' \
+		-i src/Makefile || die
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+	dobin src/boxes
+	doman doc/boxes.1
+	dodoc README.md
+	insinto /usr/share
+	newins boxes-config boxes
+}


             reply	other threads:[~2016-06-18  4:50 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-18  4:50 Nicolas Bock [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-10-26 16:17 [gentoo-commits] repo/gentoo:master commit in: app-misc/boxes/ Arthur Zamarin
2023-10-18 15:42 Arthur Zamarin
2023-10-16  8:15 Sam James
2023-10-16  8:15 Sam James
2023-10-16  7:12 Sam James
2023-09-15  5:25 Arthur Zamarin
2022-11-22  7:05 Sam James
2022-11-19  1:49 Sam James
2022-11-19  1:49 Sam James
2022-11-19  1:49 Sam James
2022-11-19  1:35 Sam James
2022-11-19  1:35 Sam James
2022-10-17 23:34 Sam James
2022-10-17 22:03 Sam James
2017-08-01 21:05 Patrice Clement
2015-11-27  8:25 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1466225385.e7f0867293e8e6ffb5368b7c0974adb779e1614f.nicolasbock@gentoo \
    --to=nicolasbock@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox